body
{
	margin:0px;
	padding:0px;
	/* font-family:"Lato"; */
	font-family: 'Roboto', sans-serif;
}

a{

	text-decoration:none;
	color:inherit;

}

.initi_txt_drag_and_drop{
	text-align: center;
  margin-top: 200px;
  color: #999;
  font-size: 1.5rem;
}

.planes_area{
	display: none;
	position: absolute;
	top: 61;
	left: 0;
	z-index: 1;
	background-color: white;
	z-index: 1;
	width: 120px;
	/*height: calc(70% - 22px);*/
	/*height: 100%;*/
	height: calc(90vh - 2px);
	border-right: 1px solid #ccc;
}

.planes_area h5 {
	text-align: center;
	margin-top: 20px;	
}

.planes_area ul li{
	list-style: none;
  margin-left: -10px;
  padding-top: 10px;
  font-size: 14px;
  cursor: pointer;
}

.planes_area ul li.selected{
	font-weight: bold;
}

.planes_area ul label{
	padding-left: 5px;
	font-size: 12px;
  font-weight: bold;
  color: #333;
}

.object_area
{
	position:absolute;
	width:17%;
	right:0px;
	/*top:43px;*/
	top: 55px;
	border: 0px solid #ccc;
    padding:10px;
	background:#eaeaea;
	/*height:90%;*/
	height: calc(100% - 80px);
	overflow-y: auto;
}

.object_area h3,
.planes_area h3
{
	font-weight:300;
	text-transform:uppercase;
	font-size:16px;
	padding-left:30px;
	color:#999;

}


/* width */
.object_area::-webkit-scrollbar {
    width: 10px;
}

/* Track */
.object_area::-webkit-scrollbar-track {
    background: #d0cfcb;
}

/* Handle */
.object_area::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
.object_area::-webkit-scrollbar-thumb:hover {
    background: #555;
}


.item_name{

	display:none;
}

.workspace {
  width: 100%;
  /*height: 100%;*/
  height: calc(100% - 60px);
  background:#fff;
}
.workspace .frame {
  width:80%;
  height: 70%;
  margin: 3px;
  overflow: hidden;
   border: 1px solid #ccc;
   padding:10px;
}
.workspace .item {
  float: left;
  width:auto;
  height:auto;
  cursor: pointer;
  text-align:center;
}

.workspace .item img {
  margin:auto;
}


.workspace .palette {
  /*height: 20%;*/
  height: auto;
  padding: 2px;
  overflow: hidden;
  margin-left:20px;
  width: 79%;
}

.workspace .palette .item img{
  /*max-width:50px;*/
  /*max-height:50px;*/
}

.workspace .palette .item{
  margin:10px;
  /* padding:10px; */
  border:1px solid #fff;
  min-width:100px;

}

.workspace .palette .item .item_name{

	display:block;
	position:relative;
	font-size:11px;
	color:#666;
	/*top:20px;*/
	top:10px;
	text-align: left;
}


.workspace .panzoom {
  width: 100%;
  height: calc(100vh - 150px);

 background-size: 10px 10px;
  background-image: conic-gradient(
    #fff 90deg,
    #fff 90deg 180deg,
    #fff 180deg 270deg,
    #fff 270deg
  );

  overflow: visible;
}
.workspace button {
  float: right;
  margin-left: 1px;
}

header .top{
	padding:10px;
	display: flex;
}

header .top img{

	max-width:160px;
	height: 20px;
}

.icon-group
{
	margin-left:30px;
}

.icon-group i
{
	margin:10px;
	font-size:20px;

}

#menu{

	position:absolute;
	right:0px;
	top:0px;
}

#menu ul{

	list-style:none;
	margin:0px;
	padding:0px;
	margin-top:10px;
	margin-right:20px;
}

#menu ul li{

	display:inline;
	padding:15px;
	color:#999;
	font-size:12px;
}

#menu ul li.actions{

	display:inline;
	padding:15px;
	color:#999 !important;
	font-size:18px;
}

#menu ul li.actions i{

	margin-right:10px;
	color:#999 !important;
}

#menu ul li a{

	color:#999 !important;
}

#room
{
	font-size:12px;
	text-align:center;

}

#room i{

	font-size:18px;
}

#object table
{
		margin-left:30px;
		width:80%;
}


#object td
{
	font-size:12px;
	color:#999;
	border-bottom:1px solid #999;
	padding:5px;
}

#object td.title
{
	font-weight:bold;
	color:#333;
	width:40%;
}




#system table
{
		margin-left:30px;
		width:80%;
}


#system td
{
	font-size:12px;
	color:#999;
	border-bottom:1px solid #999;
	padding:5px;
}

#system td.title
{
	font-weight:bold;
	color:#333;
	width:40%;
}

#settings
{
	font-size:14px;
	padding-left:30px;
}

.project-settings {
	font-size: 14px;
	font-weight: 500;
	line-height: 14px;
}


.buttonselector
{

	float:left;
	padding:30px;
	display:none;
}

.buttonselector
{

	font-size:60px;
	color:#FF3F6C;
}


#product_selector
{

	width:100%;
	height:150px;
	position:fixed;
	bottom:0px;
	left:0px;
	z-index:1000;
	background:#eaeaea;
	border-top:10px solid #fff;
	padding-top:30px;
	display:none;
}



#filter {
    overflow: hidden;
    text-align: center;
}

#filter .select-block {
    width: 13%;
    padding: 10px;
    float: none;
    border: 1px solid #c5c5c5;
    margin: 0.5%;
    display: inline-block;
    text-align: left;
}

#filter select {
    font-weight: bold;
    color: #000;
    font-size: 14px;
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    padding-right: 20px;
    border: none;
    background: transparent url("images/select.png") no-repeat right center;
    cursor: pointer;
	clear:both;
	display:block;
}

select:disabled {
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 0.01px;
    text-overflow: '';
}

#filter>button {
    background: red;
    border: #FFF;
    padding: 10px 20px;
    color: #FFF;
    margin: 10px;
    cursor: pointer;
}

.boton-rojo {
    background: #e22d33;
    float: none;
    border: 1px solid #e22d33;
    margin: 0.5%;
    text-align: center;
    color: #FFF;
    text-transform: uppercase;
    font-weight: bold;
    display: inline-block;
    position: relative;
    vertical-align: top;
}

#reset-filter {
    height: 77px;
    width: 15.66666%;
    line-height: 77px;
}



.type-selector-container {
	display: inline-block;
}

.type-selector-container .type-title {
	color: #000;
	font-size: 12px;
}

.type-selector,.type-selector-tipo
{
	display:inline-block;

	margin-right:10px;
	padding:5px 20px;
	margin-top:3px;
	font-size:12px;
	background:#999;
	color:#fff;
}

.type-selector.active,
.type-selector-color.active,
.type-selector-tcolor.active,
.type-selector-temperatura_color.active,
.type-selector-ang.active,
.type-selector-angulo.active,
.type-selector-tipo.active,
.type-selector-grupo.active,
.type-selector-model.active,
.type-selector-dim.active,
.type-selector-dim-popup.active
{
	background:#000;
}

.filtro-productos.inactive{
	opacity:0.5;
}


.type-selector-space
{
	display:inline-block;

	margin-right:20px;

}
.type-selector-model,.type-selector-grupo
{
	display:inline-block;

	margin-right:10px;
	padding:5px 10px;
	margin-top:3px;
	font-size:12px;
	background:#999;
	color:#fff;
}

.type-selector-color
{
	display:inline-block;

	margin-right:10px;
	padding:5px 10px;
	margin-top:3px;
	font-size:12px;
	background:#999;
	color:#fff;
}

.type-selector-tcolor, .type-selector-temperatura_color
{
	display:inline-block;

	margin-right:10px;
	padding:5px 10px;
	margin-top:3px;
	font-size:12px;
	background:#999;
	color:#fff;
}

.type-selector-ang, .type-selector-angulo
{
	display:inline-block;

	margin-right:10px;
	padding:5px 10px;
	margin-top:3px;
	font-size:12px;
	background:#999;
	color:#fff;
}

.type-selector-dim,
.type-selector-dim-popup,
.type-selector-plane-popup,
.type-selector-configurador-popup
{
	display:inline-block;

	margin-right:10px;
	padding:5px 20px;
	margin-top:10px;
	font-size:12px;
	background:#999;
	color:#fff;
}

.type-selector-dim,
.type-selector-dim-popup,
.type-selector-plane-popup,
.type-selector-configurador-popup
{
	cursor: pointer;
}

.type-selector-configurador-popup {
	min-width: 180px;
}


.type-num-systems {
	display:inline-block;
	border:0px;
	width:70px;
	margin-right:10px;
	padding:5px 18px;
	font-size:12px;
	background:#999;
	color:#fff;
}


.original_items_container {
	overflow-x: auto;
	overflow-y: hidden;
	margin-bottom: 15px;
	padding-bottom: 15px;
}

/* width */
.original_items_container::-webkit-scrollbar {
    height: 8px;
}

/* Track */
.original_items_container::-webkit-scrollbar-track {
    background: #d0cfcb;
}

/* Handle */
.original_items_container::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
.original_items_container::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.original_items
{
	/*margin-top:20px;*/
	margin-top:10px;
	width: max-content;
}

.original_items .item{

	/*display:none;*/
}

.original_items .two_planes {
	background: #eee;
	padding: 10px;
    padding-top: 0px;
}

.original_items .item_name.two_planes {
	width: 100px;
	margin-left: -10px;
}

.workspace .item.selected img{

	background:#999;
	filter:invert(1);

}



#wrapper_page
{
	text-align:center;
}

#wrapper_page h1
{
	text-align:left;
	margin:auto;
	width:1024px;
	margin-top:100px;
	margin-bottom:15px;
}

#card_page
{
	text-align:left;
	margin:auto;
	width:1024px;
	background:#eaeaea;
	padding:20px;
	margin-bottom: 80px;
    /*border: 1px solid #ccc;*/
}

.project_item
{
	margin:30px;
}

#formproject,
#formproject_update
{
	/*margin-top:100px;*/
}

#formproject label,
#formproject_update label
{
	font-size:20px;
	clear:both;
}

#formproject input[type=text],
#formproject_update input[type=text]
{
	/*width:500px;*/
	width: 100%;
	display:block;
	text-align:center;
	margin:auto;
	margin-top:20px;
	margin-bottom:20px;
	border:0px;
	border-bottom:1px solid #111;
	background:#eaeaea;
	line-height:30px;
}

#formproject button,
#formproject_update button
{

	border:0px;
	background:#000;
	color:#fff;
	padding:10px 30px;
}

.project_item .pdf
{
	float:right;
}

.esclon .soportes .soporte
{
	height:30px;
	width:3px;
	border:0px solid #44d2be;
	background:#d0d0d0;
	border-top:0px;
	position:absolute;
	margin-top:-30px;

}



.esclon .separador_items,
.esclon .separador_items_last
{
	height:33px;
	width:1.5px;
	border:0px;
	background:#000;
	position:absolute;
	z-index: 100;
}

.esclon .separador_items_last{
	right: 0;
}

.esclon.type-esquina-1 .separador_items
{
	top: 0;
}

.esclon.type-esquina-1 .separador_items_last
{
	height:1.5px;
	width:33px;
}

.esclon.type-esquina-2 .separador_items
{
	height:1.5px;
	width:33px;
}

.esclon.type-esquina-2 .separador_items_last
{
	top: 0;
}

.esclon.type-esquina-3 .separador_items
{
	top: 0;
	height:1.5px;
	width:33px;
}

.esclon.type-esquina-3 .separador_items_last
{
	margin-top: -33px;
}

.esclon.type-esquina-4 .separador_items
{
	margin-top: -33px;
}

.esclon.type-esquina-4 .separador_items_last
{
	height:1.5px;
	width:33px;
	top: 0;
}






.original_items .encendido
{
		display:none;

}

.esclon .encendido
{
	position:absolute;
	margin-top:37px;
	width:100%;
	font-size:12px;
	display:none;

}

.esclon .encendido.esquina-top {
	margin-top: -37px !important;
}

.esclon .encendido.esquina-bottom {
	margin-top: 197px !important;
}


.esclon .encendido img
{
	width:25px !important;
	opacity:0.5;
	vertical-align:middle;
}

#selector_encendido
{
		margin-left:30px;
		margin-top:20px;
		margin-bottom:20px;
}

#selector_encendido button{

	opacity:0.5;
	border:0px;
	background:#999;
	margin-right:5px;
	padding:5px 10px;
	color:#fff;

}


#selector_encendido button img{

	filter:invert(1);
}

#selector_encendido button.inicial{

	opacity:1;
}

/*
.esclon.tienedriver::after
{
	font-family: 'LineIcons';
	position:absolute;
	margin-top:45px;
	content: "\ea3a";
	font-size:20px;
	left:0px;
	margin-top:-30px;

}
*/

.esclon.tienedriver::after {
    content: "D1";
    position: absolute;
    margin-top: 45px;
    left: 0px;
    margin-top: -30px;
    background-image: url(img/driver.svg);
    height: 28px;
    width: 28px;
    font-size: 12px;
    color: #999;
    padding-left: 22px;
    background-repeat: no-repeat;
}

.esclon.tienedriver.type-esquina-1::after {
	margin-top: 35px;
	left: 100px;
}

.esclon.tienedriver.type-esquina-2::after {
	margin-top: 35px;
	left: 32px;
}

.esclon.tienedriver.type-esquina-3::after {
	margin-top: 126px;
	left: 32px;
}

.esclon.tienedriver.type-esquina-4::after {
	margin-top: 126px;
	margin-left: 100px;
}

.esclon.tienedriverspot::after {
    content: "DInc";
    position: absolute;
    margin-top: 45px;
    left: 0px;
    margin-top: -30px;
    background-image: url(img/driver-spot.svg);
    height: 28px;
    width: 28px;
    font-size: 12px;
    color: #999;
    padding-left: 22px;
    background-repeat: no-repeat;
}

.esclon.tienedriver.d2::after {
    content: "D2" !important;
}

.esclon.tienedriver.d3::after {
    content: "D3" !important;
}

.esclon.tienedriver.d4::after {
    content: "D4" !important;
}

.esclon.tienedriver.d5::after {
    content: "D5" !important;
}

.esclon.tienedriver.d6::after {
    content: "D6" !important;
}

.esclon.tienedriver.d7::after {
    content: "D7" !important;
}

.esclon.tienedriver.d8::after {
    content: "D8" !important;
}

.esclon.tienedriver.d9::after {
    content: "D9" !important;
}

.esclon.tienedriver.da1::after {
    content: "DA1" !important;
}

.esclon.tienedriver.da2::after {
    content: "DA2" !important;
}

.esclon.tienedriver.da3::after {
    content: "DA3" !important;
}

.esclon.tienedriver.da4::after {
    content: "DA4" !important;
}

.esclon.tienedriver.da5::after {
    content: "DA5" !important;
}

.esclon.tienedriver.da6::after {
    content: "DA6" !important;
}

.esclon.tienedriver.da7::after {
    content: "DA7" !important;
}

.esclon.tienedriver.da8::after {
    content: "DA8" !important;
}

.esclon.tienedriver.da9::after {
    content: "DA9" !important;
}

.esclon.tienedriver.db1::after {
    content: "DB1" !important;
}

.esclon.tienedriver.db2::after {
    content: "DB2" !important;
}

.esclon.tienedriver.db3::after {
    content: "Db3" !important;
}

.esclon.tienedriver.db4::after {
    content: "DB4" !important;
}

.esclon.tienedriver.db5::after {
    content: "DB5" !important;
}

.esclon.tienedriver.db6::after {
    content: "DB6" !important;
}

.esclon.tienedriver.db7::after {
    content: "DB7" !important;
}

.esclon.tienedriver.db8::after {
    content: "DB8" !important;
}

.esclon.tienedriver.db9::after {
    content: "DB9" !important;
}


#historial{
	margin: auto;
}

#historial ul{
	list-style:none;
	display: flex;
}

#historial ul li{
	padding-left: 10px;
}

#historial ul li hr{
	width: 35px;
	height: 10px;
	background-color: #ccc;
}

#historial ul li hr:hover{
	cursor: pointer;
	background-color: #999;
}





.div_login_register {
	display: inline-block;
	width: 200px;
    /*border: 1px solid #ccc;*/
    padding: 30px 50px;
    background: #eaeaea;
    margin: 80px;
    vertical-align: top;
}

#div_register {
	width: 450px;
}

.div_login_register span {
	font-size: 14px;
}

.div_login_register .form_title {
	text-align: left;
	font-size: 14px;
}

.div_login_register .form_title a {
	text-decoration: underline;
}

.div_login_register input[type="text"],
.div_login_register input[type="email"],
.div_login_register input[type="password"],
.div_login_register select,
.div_login_register textarea {
	margin-top: 5px;
	margin-bottom: 5px;
	width: 100%;
}

.div_login_register textarea {
	height: 80px;
}

.div_login_register input[type="radio"] {
	margin-top: 5px;
	margin-bottom: 5px;
}

#div_login input[type="email"],
#div_login input[type="password"] {
	margin-top: 5px;
	margin-bottom: 15px;
	width: 100%;
}

#div_login .form_title {
	text-align: left;
	font-size: 16px;
}


.div_login_register button {
	background: #000;
    color: #fff;
    padding: 3px 20px;
    margin-top: 20px;
}

.error_login,
.error_register {
	margin-top: 20px;
	color: #f00;
}

.error_register {
	margin-bottom: 20px;
}

.ok_register {
	margin-top: 20px;
	margin-bottom: 20px;
	color: #009d00;
}

.recover_password {
	text-align: right;
	font-size: 14px;
	text-decoration: underline;
	margin-top: 40px;
}

#form_recover_password {
	display: none;
}



.div_save_project {
	display: inline-block;
	width: 290px;
    /*border: 1px solid #ccc;*/
    padding: 30px 50px;
    background: #eaeaea;
    margin: 80px 80px 0 80px;
    vertical-align: top;
}

.div_save_project .project_name_update {
	margin: 26px 0;
}


#table_projects th {
	font-size: 12px;
}

#table_projects td {
	font-size: 14px;
}

#table_projects i {
	font-size: 18px;
}

#table_projects .date {
	font-size: 12px;
    color: #666;
}

#table_projects span {
	display: none;
}

#table_projects img {
	width: 18px;
}


#table_projects .user,
#table_projects .status {
	font-size: 12px;
}

#table_projects .status .open {
	color: #cdaa2a;
}

#table_projects .status .finished {
	color: #009d00;
}

#table_projects .configurador {
	font-size: 11px;
}

#table_projects .user i.email{
	font-size: 12px;
}

#table_projects .alert {
	display: inline-block;
	cursor: pointer;
}

#table_projects .alert i {
	font-size: 14px;
}

#table_projects .alert i.fa-circle-exclamation {
	color: #a10000;
}

#table_projects .alert i.fa-circle-check {
	color: #00b500;
}

#table_projects .comment-project textarea {
	margin-top: 5px;
	width: 150px;
	height: 50px;
	font-family: 'Roboto', sans-serif;
	background: transparent;
}



.message_ok {
	border: 1px solid #009d00;
    width: 200px;
    margin: auto;
    padding: 20px 100px;
    color: #009d00;
    background: #f1ffde;
    font-weight: bold;
}

#undo-historial {
	width: 18px;
	margin-right: 10px;
}

/* POPUP LAYER */

body.class-popup {
	overflow: hidden;
}

body.class-popup #popup-layer {
    display: block;
	overflow-x: hidden;
	overflow-y: auto;
}

#popup-layer {
    display:    none;
    position:   fixed;
    z-index:    9998;
    top:        0;
    left:       0;
    bottom:     0;
    right:      0;
    background-color: rgba( 0, 0, 0, 0.3 );
}


#popup-layer #popup-content {
	font-family: 'Roboto', sans-serif;
	display: flex;
	/* margin: 100px auto; */
	/* margin: 50% auto; */
	/* padding: 0 10%; */
	position: absolute;
  top: calc(50% - 80px);
  left: calc(50% - 200px);
}

#popup-layer #popup-content > div {
	/* background-color: #eaeaea; */
	background-color: #fff;
	/*max-width: 400px;*/
	min-width: 400px;
	margin: auto;
	width: 100%;
	padding: 25px;
}

.popup-aviso > div{
  padding-top: 30px;
}

#popup-layer #popup-content .popup-aviso {
	background-color: #fff;
    padding: 20px;
    border-radius: 4px;
    margin-bottom: 10px;
    text-align: center;
}

#popup-layer #popup-content .popup-aviso div {
	font-weight: bold;
}

#popup-layer #popup-content .popup-aviso span {
	font-size: 18px;
}

#popup-layer #popup-content button {
    border: 0px;
    background: #000;
    color: #fff;
    padding: 10px 30px;
    cursor: pointer;
}

#popup-layer #popup-content .info_user {
	font-size: 12px;
}

.multidirection-panel{
	/*background-image: url("./img/multi-directional-panel.png");*/
	background-image: url("./img/multi-directional-panel.svg");
	width: 100px;
	height: 100px;
	position: relative;
}

.icon-direction{
	color: #656565;
	position: absolute;
	font-size: 20px;
}

.icon-direction:hover,
.icon-direction.selected{
	background-color: #656565;
  color: white;
  border-radius: 50px;
  width: 20px;
	cursor: pointer;
}

.multidirection-panel .fa-angle-up:hover,
.multidirection-panel .fa-angle-down:hover,
.multidirection-panel .fa-angle-up.selected,
.multidirection-panel .fa-angle-down.selected {
	left: 43px;
	padding-left: 1px;
}

.multidirection-panel .fa-angle-left:hover,
.multidirection-panel .fa-angle-right:hover,
.multidirection-panel .fa-angle-left.selected,
.multidirection-panel .fa-angle-right.selected {
	padding-left: 3px;
}


.multidirection-panel .fa-angle-left{
	top: 40px;
	left: 10px;
}

.multidirection-panel .fa-angle-up{
	left: 43px;
	top: 6px;
}

.multidirection-panel .fa-angle-right{
	top: 40px;
	right: 10px;
}

.multidirection-panel .fa-angle-down{
	bottom: 6px;
	left: 43px;
}

.img-brujula{
  width: 90%;
  position: absolute;
  bottom: 10px;
  left: 5%;
}

#lightbox .lb-dataContainer {
	display: none !important;
}

/* new */



#canvas{
	width:80vw;
	height:90vh;
	background:#fff;
	border:1px solid #ccc;
	margin-top:20px;
	overflow: auto;
}

#info_area{
	width:19vw;
	/*min-height:90vh;*/
	position:absolute;
	right:0;
	padding: 20px;
	top:60px;
	background: #eaeaea;
	height: 90vh;
	overflow-y: auto;
}


/* width */
#info_area::-webkit-scrollbar {
    width: 10px;
}

/* Track */
#info_area::-webkit-scrollbar-track {
    background: #d0cfcb;
}

/* Handle */
#info_area::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
#info_area::-webkit-scrollbar-thumb:hover {
    background: #555;
}


.carril{
	
	height:11px;
	position:absolute;
	transform-origin: top left;
	border:1px solid #eaeaea;
}

.txt_luminaria {
	position: absolute;
	font-size: 12px;
	width: 150px;
}

/*
.carril.con-encendido::after {
	content: "";
    position: absolute;
    left: 0px;
    margin-top: -30px;
    background-image: url(img/driver.svg);
    height: 28px;
    width: 28px;
    font-size: 12px;
    color: #999;
    padding-left: 22px;
    background-repeat: no-repeat;
}
*/

.encendido-driver {
	position: absolute;
    transform-origin: top left;
    background-image: url(img/driver.svg);
    background-repeat: no-repeat;
    height: 28px;
    width: 28px;
}

.encendido-driver .color-driver {
	width: 6px; 
	height: 6px; 
	position: absolute; 
	border-radius: 50%; 
	left: 2px; 
	top: 2px;
}

.add_new_track
{
	position:absolute;	
	transform-origin: top left;
	height:20px;
	width:20px;
	color:#111;
	opacity: 1;
	font-size:22px;
	animation: fadeIn 1s infinite alternate;
	cursor:pointer;
	
}

.connect_track
{
	position:absolute;	
	transform-origin: top left;
	height:20px;
	width:20px;
	color:#000;
	font-size:22px;
	/*animation: fadeIn 1s infinite alternate;*/
	cursor:pointer;
	
}

@keyframes fadeIn { 
  from { opacity: 0; } 
}



.btn
{
	/*text-transform:uppercase !important;*/
	font-size:12px !important;	
	border:0px !important;
	border-radius:0px !important;
}

.btn-primary{
	background:#000 !important;
	
}

.filtro_dimming, .filtro_color, .filtro_driver, .filtro_configurador, .mounting_accessories, .filtro_combo
{
	/*text-transform:uppercase !important;*/
	font-size:12px !important;	
	border:0px !important;
	border-radius:0px !important;
	color:#fff;
}

#info_area .filtro_dimming, #info_area .filtro_color, #info_area .filtro_driver, #info_area .filtro_configurador, #info_area .mounting_accessories, #info_area .filtro_combo
{
	background:#eaeaea !important;
	height: 28px !important;
	padding-left: 0 !important;
    width: 90% !important;
}

#listado_luminarias
{
	min-height:400px;
}

.show_luminarias
{
	margin-top:10px;
	font-size:12px;
	background:#eaeaea;
	padding:15px;
}

.show_luminarias div {
	margin: auto;
}

.show_luminarias .product-not-suggested,
.show_luminarias .product_alert_message,
.show_luminarias .product_alert_message2 {
	font-style: italic;
	color: #f00;
}
/*
.show_luminarias input[type=range] {
	background-color: transparent;
}
*/
.show_luminarias .range-output-luminaria {
	margin-top: 3px;
	width: 38px;
	height: auto;
	/*border: 1px solid #ccc;*/
	border: 0;
	background: #eaeaea;
	border-radius: 0;
	padding: 0 3px;
	display: inline-block;
	font-size: 14px;
	text-align: right;
}

.show_luminarias .div_input_range {
	text-align: center;
	clear: both;
}

.show_luminarias .form-control:focus {
	box-shadow: none;
}

.show_luminarias input[type=range] {
	float: right;
	background: #ddd;
}

.show_luminarias .form-range[disabled]{
	background: #ddd;
	cursor: no-drop;
}

.show_luminarias .div_range_slide {
	position: relative;
}

.show_luminarias .div_range_slide .background_range_slide {
	position: absolute; 
	height: 6px; 
	background: #555; 
	top: 16px; 
	width: 100%;
	border-radius: 4px;
}

.show_luminarias input[type=range]{
	position: relative;
	z-index: 10;	
}





input[type=range] {
  -webkit-appearance: none;
  margin: 0;
  width: 100%;
  border: 0;
  padding: 0;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 5.8px;
  cursor: pointer;
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  background: #888;
  border-radius: 25px;
  border: 0px solid #000101;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  border: 0px solid #000000;
  height: 20px;
  width: 19px;
  border-radius: 27px;
  background: #444;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -3.6px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #999;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 12.8px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  background: #999;
  border-radius: 25px;
  border: 0px solid #000101;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  border: 0px solid #000000;
  height: 20px;
  width: 39px;
  border-radius: 7px;
  background: #65001c;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 12.8px;
  cursor: pointer;
  animate: 0.2s;
  background: transparent;
  border-color: transparent;
  border-width: 39px 0;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #ccc;
  border: 0px solid #000101;
  border-radius: 50px;
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
  background: #ccc;
  border: 0px solid #000101;
  border-radius: 50px;
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
}
input[type=range]::-ms-thumb {
  box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
  border: 0px solid #000000;
  height: 20px;
  width: 39px;
  border-radius: 7px;
  background: #65001c;
  cursor: pointer;
}
input[type=range]:focus::-ms-fill-lower {
  background: #ccc;
}
input[type=range]:focus::-ms-fill-upper {
  background: #ccc;
}

.carril_prod,
.track_select:not(.disabled),
.luminaria,
#categorias_product_clic > div img {
	cursor: pointer;
}

.track_select.disabled {
	opacity: .3;
}

.carril_prod.active,
#track_rotation #corner_direction_images img.active
{
	background:#ccc !important;
}

#preview_track_luminaries {
	margin: 40px 0;
}

#track_rotation #corner_direction_images img {
	width: 50px;
	background: #eaeaea;
	cursor: pointer;
	margin-right: 10px;
}

#track_size, #track_luminaries_wrapper, #track_rotation
{
	display:none;
}

#track_size span {
	font-size: 12px;
	color: #999;
	margin-left: 2px;
}

#track_size span.number {
	font-size: 14px;	
	color: #000;
}

#track_luminaries_wrapper i,
.delete_track {
	cursor: pointer;
}

#project_detail
{
	font-size:12px;
}

#project_detail .sel_carril,
.panzoom .sel_carril {
	
	cursor:pointer;
}

input.apple-switch {
  position: relative;
  -webkit-appearance: none;
  outline: none;
  width: 40px;
  height: 20px;
  background-color: #fff;
  border: 1px solid #D9DADC;
  border-radius: 50px;
  box-shadow: inset -20px 0 0 0 #fff;
  cursor: pointer;
}

input.apple-switch:after {
  content: "";
  position: absolute;
  top: 1px;
  left: 1px;
  background: transparent;
  width: 17px;
  height: 17px;
  border-radius: 50%;
  box-shadow: 2px 4px 6px rgba(0,0,0,0.2);
}

input.apple-switch:checked {
  /*box-shadow: inset 20px 0 0 0 #2b9fa2;
  border-color: #2b9fa2;*/
  box-shadow: inset 20px 0 0 0 #000;
  border-color: #000;
}

input.apple-switch:checked:after {
  left: 20px;
  box-shadow: -2px 4px 3px rgba(0,0,0,0.05);
}

#range-output {
	margin-top: 3px;
	width: 38px;
	height: auto;
	border: none;
	background: #eaeaea;
	border-radius: 0;
	padding: 3px;
	display: inline-block;
	font-size: 14px;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

input#num_systems::-webkit-outer-spin-button,
input#num_systems::-webkit-inner-spin-button {
  -webkit-appearance: inner-spin-button;
}







.modal#newproject .modal-dialog .modal-content .modal-body .row {
	margin: 0 8px;
}
	





.modal .modal-dialog .modal-content {
	border-radius: 0;
}

.modal .modal-dialog .modal-content .title_select {
	font-size: 14px;
	font-weight: 500;
	margin: 0 40px;
}

.modal .modal-dialog .modal-content .col.title_select,
.modal .modal-dialog .modal-content #select-image .col {
	margin: 0;
}

.modal .modal-dialog .modal-content #select_track_type,
.modal .modal-dialog .modal-content #select_driver_installation {
	margin: 10px;	
	min-height: 125px;
}

.modal .modal-dialog .modal-content #select_track_type div.col,
.modal .modal-dialog .modal-content #select_driver_installation div.col,
.modal .modal-dialog .modal-content #select-image > div > div > div {
	text-align: center;
	padding: 3px 10px;
}

.modal .modal-dialog .modal-content #select-image > div > div {
	display: inline-block;
	padding: 0;
	margin-right: 10px;
	margin-bottom: 10px;
}

.modal .modal-dialog .modal-content #select_track_type div > div,
.modal .modal-dialog .modal-content #select_driver_installation div > div,
.modal .modal-dialog .modal-content #select-image > div > div,
.modal .modal-dialog .modal-content #initial_plane > div > div {
	cursor: pointer;
}

.modal .modal-dialog .modal-content .name_select {
	font-size: 12px;
	font-weight: 500;
	line-height: 14px;
	padding: 3px 0;
	text-align: center;
	width: 105px;
}

.modal .modal-dialog .modal-content .name_select.active,
.modal .modal-dialog .modal-content #select_track_type div > div:hover .name_select,
.modal .modal-dialog .modal-content #select_driver_installation div > div:hover .name_select,
.modal .modal-dialog .modal-content #select-image > div > div.active,
.modal .modal-dialog .modal-content #select-image > div > div:hover,
.modal .modal-dialog .modal-content #select_track div:not(.disabled):hover .name_select,
.modal .modal-dialog .modal-content #initial_plane div > div:hover .name_select {
	color: #fff;
	background: #000;
}

.modal .modal-dialog .modal-content .modal-header {
	border-bottom: 0;
}

.modal .modal-dialog .modal-content .modal-footer {
	border-top: 0;
}


.modal-open-after .modal {
	overflow-x: hidden;
    overflow-y: auto;
}


.modal .modal-dialog .modal-content .modal-title {
	margin-left: 20px;
	margin-top: 5px;
}

.modal .modal-dialog .modal-content .modal-body .form-group {
	margin-left: 20px;	
}

.modal .modal-dialog .modal-content .input-dimensions {
	width: 35px; 
	background: #e6e6e6; 
	border: 0; 
	font-size: 12px; 
	padding: 3px; 
	text-align: right;
	margin: 5px 0;
}

.modal .modal-dialog .modal-content .input-dimensions:focus {
	outline: -webkit-focus-ring-color auto 0px;
}

.modal .modal-dialog .modal-content .dimensions-cm {
	background: #e6e6e6; 
	font-size: 12px; 
	color: #aaa; 
	padding: 1px 3px 3px 0;
}

.modal .modal-dialog .modal-content .dimensions-cm.first {
	padding: 1.5px 3px 2.5px 0;
}

.modal .modal-dialog .modal-content #select-image > div#select_dimensions > div {
	cursor: auto;
	background: none;
	text-align: left;
	vertical-align: top;
}

.modal .modal-dialog .modal-content #select-image > div#select_dimensions > div:hover {
	color: #000;
} 

.modal .modal-dialog .modal-content #select-image > div#select_dimensions > div > div {
	text-align: left;
}




#trackmodal .modal-dialog .modal-content .modal-body .title_select {
	margin: auto;
	margin-bottom: 10px;
}

#trackmodal .modal-body #track_product_list #select_track .col-md-1_5 {
	flex: 0 0 13%;
    max-width: 13%;
}


.no-results {
	margin: auto;
	margin-top: 100px;
	font-weight: 500;
}

#mounting_accessories {
	margin-top: 15px;
}

#mounting_accessories a {
	color: #000;
}



#initial_direction .initial_direction_div {
	font-size: 11px;
	font-weight: 500;
	margin-bottom: 10px;
	padding-left: 20px;
}

#initial_direction .initial_direction_div:not(.disabled) {
	cursor: pointer;
}

#initial_direction .initial_direction_div:not(.disabled):hover,
#initial_direction .initial_direction_div.active {
	color: #fff;
	background: #000;	
}

#initial_direction .initial_direction_div.disabled {
	color: #ccc;	
}

.div_combo_tipo_carril {
	font-size: 12px;
	margin-left: 3px;
    margin-top: 10px;
    margin-bottom: 3px;
    color: #495057;
}


/*
#sel-configurador .modal-title {
	width: 100%;
	margin-left: -10px;
	margin-top: 20px;
}
*/

#sel-configurador .modal-title {
	font-size: 1.5rem;	
}

#sel-configurador .modal-dialog {
	top: calc(20% - 80px);
}

#sel-configurador .modal-body{
	text-align: center;
}

#sel-configurador .modal-body a div {
	font-weight: bold;	
}


#sel-configurador .modal-body .popup_my_projects {
	font-weight: normal;
	margin-top: 15px;
	font-family: 'Roboto', sans-serif;
}

#sel-configurador .modal-body #sel_no_image .col-md-1_5 {
	flex: 0 0 10%;
    max-width: 10%;
}


#encendidos img {
	width: 25px;
	margin-top: -5px;
}



.radio_button {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  display: inline-block;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  border: 2px solid #000;
  position: relative;
  margin-right: 10px;
}

.radio_button:checked::before {
  content: '';
  display: block;
  position: absolute;
  top: 2px;
  left: 2px;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background-color: #000;
}

#medidas_width,
#medidas_height {
	position: absolute;
	border: 1px solid #000; 
	border-bottom: 0; 
	text-align: center;
}

#medidas_height {
	transform: rotate(-90deg); 
	transform-origin: top left;
}
/*
.div-popup-corner-x {
	position: absolute;
	border: 1px solid #000;
	width: 300px;
	height: 200px;
	background: #fff;
	z-index: 10;
	display: none;
	cursor: auto;
}
*/
.div-popup-corner-x {
	position: absolute;
	border: 1px solid #000;
	width: 175px;	
	background: #fff;
	z-index: 10;
	display: none;
	cursor: auto;
	padding: 15px;
}

.div-popup-corner-x table {
	width: 100%;	
}

.div-popup-corner-x table td.sel_conex_x {
	cursor: pointer;
	text-align: center;
}

.div-popup-corner-x table td.sel_conex_x:hover {
	background: #e9ecef;	
}

.div-popup-corner-x table td.sel_conex_x img {
	width: 30px;
}







/***************************** DIVI *****************************/

canvas {
    display: block;
    border: 1px solid #000;
    margin: auto;
    margin-bottom: 0;
}

.font-weight-400 {
	font-weight: 400;
}

.margin-bottom-15 {
	margin-bottom: 20px;
}

.design_by {
	font-size: 10px; 
	font-weight: 400;
}